Bug 55025 - xconfig broken due to various bad Config.in's
Summary: xconfig broken due to various bad Config.in's
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-24 16:26 UTC by Eric Sandeen
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 08:55:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Sandeen 2001-10-24 16:26:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.8-xfs i686)

Description of problem:
drivers/net/Config.in has an extra newline at line 278, breaking xconfig

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd /usr/src/linux-2.4
2. make xconfig
3.
	

Actual Results:  [root@Lite linux-2.4.9-7]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.9-7/scripts'
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkparse.o
tkparse.cgcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o
tkcond.o tkcond.c
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkgen.o
tkgen.c
gcc -o tkparse tkparse.o tkcond.o tkgen.o
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
drivers/net/Config.in: 278: unknown command
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.9-7/scripts'
make: *** [xconfig] Error 2


Expected Results:  xconfig should have happily appeared.  :)

Additional info:

Here's the fix for drivers/net/Config.in

--- drivers/net/Config.in.orig	Wed Oct 24 10:56:14 2001
+++ drivers/net/Config.in	Wed Oct 24 10:56:25 2001
@@ -274,8 +274,7 @@
       dep_tristate '  PPP over Ethernet (EXPERIMENTAL)' CONFIG_PPPOE
$CONFIG_PPP
    fi
    if [ ! "$CONFIG_ATM" = "n" ]; then
-      dep_tristate '  PPP over ATM (EXPERIMENTAL)' CONFIG_PPPOATM
$CONFIG_PP
-P
+      dep_tristate '  PPP over ATM (EXPERIMENTAL)' CONFIG_PPPOATM
$CONFIG_PPP
    fi
 fi
 
Then, drivers/addon/Config.in breaks for me (on a 7.1 box)

[root@Lite linux-2.4.9-7]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.9-7/scripts'
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
drivers/addon/Config.in: 7: can't handle dep_bool/dep_mbool/dep_tristate
condition
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.9-7/scripts'
make: *** [xconfig] Error 2

You've got dep_tristate's in there w/o dependencies

dep_tristate '   Support for the Broadcom 5700/5701 Gigabit Ethernet
Adapters' CONFIG_NET_BROADCOM
dep_tristate '   Support for the Intel(R) PRO/100 Family of Adapters'
CONFIG_NET_E100 m
dep_tristate '   Support for the Intel(R) PRO/1000 Family of Adapters'
CONFIG_NET_E1000 m
dep_tristate '   CIPE (Crypto IP Encapsulation)' CONFIG_CIPE $CONFIG_INET

Not sure how you want it set up...

Comment 1 Michael Schwendt 2001-10-25 08:55:08 UTC
Same as bug #54829 for Seawolf's kernel 2.4.9-6 update.

Comment 2 Arjan van de Ven 2001-10-25 10:28:04 UTC
Thanks for the report; I've fixed it in our tree for the next kernel we will
release.


Note You need to log in before you can comment on or make changes to this bug.